# class CGI::Session::NullStore

Dummy session storage class.

Implements session storage place holder. No actual storage will be done.

### Public Class Methods

new (session, option=nil)
Source

    # File lib/cgi/session.rb, line 535
    def initialize(session, option=nil)
    end

Create a new `NullStore` instance.

`session` is the session this instance is associated with. `option` is a list of initialisation options. None are currently recognised.

### Public Instance Methods

close ()
Source

    # File lib/cgi/session.rb, line 552
    def close
    end

Close session storage.

A no-op.

delete ()
Source

    # File lib/cgi/session.rb, line 558
    def delete
    end

Delete the session state.

A no-op.

restore ()
Source

    # File lib/cgi/session.rb, line 539
    def restore
      {}
    end

Restore (empty) session state.

update ()
Source

    # File lib/cgi/session.rb, line 546
    def update
    end

Update session state.

A no-op.